MWAWGraphicDecoder Class Referencefinal

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <MWAWGraphicDecoder.hxx>`

Inheritance diagram for MWAWGraphicDecoder:

## Public Member Functions

| MWAWGraphicDecoder (librevenge::RVNGDrawingInterface *output)
| constructor
| ~MWAWGraphicDecoder () final
| destructor
void | insertElement (const char *psName) final
| insert an element
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList) final
| insert an element ( with a librevenge::RVNGPropertyList )
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter )
void | characters (const librevenge::RVNGString &sCharacters) final
| insert a sequence of character
Public Member Functions inherited from MWAWPropertyHandler
| MWAWPropertyHandler ()
| constructor
virtual | ~MWAWPropertyHandler ()
| destructor
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder

## Private Member Functions

| MWAWGraphicDecoder (MWAWGraphicDecoder const &)=delete
| copy constructor (undefined)
MWAWGraphicDecoder | operator= (MWAWGraphicDecoder const &)=delete
| operator= (undefined)

## Private Attributes

librevenge::RVNGDrawingInterface * | m_output
| the interface output

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  MWAWGraphicEncoder (with mimeType="image/mwaw-odg") and to send it contents to librevenge::RVNGDrawingInterface

## Constructor & Destructor Documentation

## MWAWGraphicDecoder() [1/2]

MWAWGraphicDecoder::MWAWGraphicDecoder | ( | librevenge::RVNGDrawingInterface * | output | ) |

inline explicit

constructor

Referenced by MWAWGraphicDecoder(), and operator=().

## ~MWAWGraphicDecoder()

MWAWGraphicDecoder::~MWAWGraphicDecoder | ( |  | ) |

inline final

destructor

## MWAWGraphicDecoder() [2/2]

MWAWGraphicDecoder::MWAWGraphicDecoder | ( | MWAWGraphicDecoder const & |  | ) |

private delete

copy constructor (undefined)

## Member Function Documentation

## characters()

void MWAWGraphicDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |

inline final virtual

insert a sequence of character

Implements MWAWPropertyHandler.

## insertElement() [1/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName | ) |

final virtual

insert an element

Implements MWAWPropertyHandler.

## insertElement() [2/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList )

final virtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements MWAWPropertyHandler.

## insertElement() [3/3]

void MWAWGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector )

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

## operator=()

MWAWGraphicDecoder MWAWGraphicDecoder::operator= | ( | MWAWGraphicDecoder const & |  | ) |

private delete

operator= (undefined)

## Member Data Documentation

## m_output

librevenge::RVNGDrawingInterface* MWAWGraphicDecoder::m_output

private

the interface output

Referenced by characters(), insertElement(), insertElement(), and MWAWGraphicDecoder().

The documentation for this class was generated from the following files:

- MWAWGraphicDecoder.hxx
- MWAWGraphicDecoder.cxx